﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Kundeweb.master" %>

<script runat="server">

</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:KundeConnectionString %>" 
        DeleteCommand="DELETE FROM [Kunde] WHERE [Kundenr] = @Kundenr" 
        InsertCommand="INSERT INTO [Kunde] ([Etternavn], [Fornavn], [Adresse], [Postnr], [Telefon], [Saldo]) VALUES (@Etternavn, @Fornavn, @Adresse, @Postnr, @Telefon, @Saldo)" 
        SelectCommand="SELECT * FROM [Kunde]" 
        UpdateCommand="UPDATE [Kunde] SET [Etternavn] = @Etternavn, [Fornavn] = @Fornavn, [Adresse] = @Adresse, [Postnr] = @Postnr, [Telefon] = @Telefon, [Saldo] = @Saldo WHERE [Kundenr] = @Kundenr">
        <DeleteParameters>
            <asp:Parameter Name="Kundenr" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Etternavn" Type="String" />
            <asp:Parameter Name="Fornavn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Saldo" Type="Double" />
            <asp:Parameter Name="Kundenr" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="Etternavn" Type="String" />
            <asp:Parameter Name="Fornavn" Type="String" />
            <asp:Parameter Name="Adresse" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Telefon" Type="String" />
            <asp:Parameter Name="Saldo" Type="Double" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:KundeConnectionString %>" 
        SelectCommand="SELECT Postnr, Sted, Postnr + ' ' + Sted AS PostnrSted FROM Postkat">
    </asp:SqlDataSource>
    <asp:DetailsView ID="DetailsView1" runat="server" AllowPaging="True" 
        AutoGenerateRows="False" DataKeyNames="Kundenr" DataSourceID="SqlDataSource1" 
        Height="50px" Width="125px">
        <Fields>
            <asp:BoundField DataField="Kundenr" HeaderText="Kundenr" InsertVisible="False" 
                ReadOnly="True" SortExpression="Kundenr" />
            <asp:BoundField DataField="Etternavn" HeaderText="Etternavn" 
                SortExpression="Etternavn" />
            <asp:BoundField DataField="Fornavn" HeaderText="Fornavn" 
                SortExpression="Fornavn" />
            <asp:BoundField DataField="Adresse" HeaderText="Adresse" 
                SortExpression="Adresse" />
            <asp:TemplateField HeaderText="Postnr" SortExpression="Postnr">
                <EditItemTemplate>
                   
                    <asp:DropDownList ID="DropDownList1" runat="server" 
        DataSourceID="SqlDataSource2" DataTextField="PostnrSted" Text='<%# Bind("Postnr") %>' 
        DataValueField="Postnr">
    </asp:DropDownList>
                </EditItemTemplate>
                <InsertItemTemplate>
                     <asp:DropDownList ID="DropDownList1" runat="server" 
        DataSourceID="SqlDataSource2" DataTextField="PostnrSted" Text='<%# Bind("Postnr") %>' 
        DataValueField="Postnr">
    </asp:DropDownList>
                </InsertItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("Postnr") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="Telefon" HeaderText="Telefon" 
                SortExpression="Telefon" />
            <asp:BoundField DataField="Saldo" HeaderText="Saldo" SortExpression="Saldo" />
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                ShowInsertButton="True" />
        </Fields>
    </asp:DetailsView>
    
</asp:Content>

