﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Kundeweb.master" %>

<script runat="server">

    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Insert")
        {
            GridView1.DataSourceID = "";
            GridView1.DataBind();
        }
    }

    protected void DetailsView1_ItemInserted(object sender, DetailsViewInsertedEventArgs e)
    {
        GridView1.DataSourceID = "SqlDataSource1";
        GridView1.DataBind();
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
    ConnectionString="<%$ ConnectionStrings:KundeConnectionString %>" 
    DeleteCommand="DELETE FROM [Postkat] WHERE [Postnr] = @Postnr" 
    InsertCommand="INSERT INTO [Postkat] ([Postnr], [Sted]) VALUES (@Postnr, @Sted)" 
    SelectCommand="SELECT * FROM [Postkat]" 
    UpdateCommand="UPDATE [Postkat] SET [Sted] = @Sted WHERE [Postnr] = @Postnr">
        <DeleteParameters>
            <asp:Parameter Name="Postnr" Type="String" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Sted" Type="String" />
            <asp:Parameter Name="Postnr" Type="String" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="Postnr" Type="String" />
            <asp:Parameter Name="Sted" Type="String" />
        </InsertParameters>
</asp:SqlDataSource>
<asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
    AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="Postnr" 
    DataSourceID="SqlDataSource1" onrowcommand="GridView1_RowCommand">
    <Columns>
        <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        <asp:ButtonField CommandName="Insert" Text="Insert" />
        <asp:BoundField DataField="Postnr" HeaderText="Postnr" ReadOnly="True" 
            SortExpression="Postnr" />
        <asp:BoundField DataField="Sted" HeaderText="Sted" SortExpression="Sted" />
    </Columns>
    <EmptyDataTemplate>
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
            DataKeyNames="Postnr" DataSourceID="SqlDataSource1" DefaultMode="Insert" 
            oniteminserted="DetailsView1_ItemInserted" AutoGenerateInsertButton="True">
            <Fields>
                <asp:BoundField DataField="Postnr" HeaderText="Postnr" 
                    SortExpression="Postnr" />
                <asp:BoundField DataField="Sted" HeaderText="Sted" SortExpression="Sted" />
            </Fields>
        </asp:DetailsView>
    </EmptyDataTemplate>
</asp:GridView>
</asp:Content>

